このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

WordPressについて このメッセージに返信する
日時: 2012/03/26 16:05
名前: サンバ
URL:
いつもこちらのWebサイトにはお世話になっています。
WordPressの質問で失礼します。WordPressのフォーラムにも問い合わせていますが、事はWordPressの問題ではなく、Serverの設定の問題のような気がしますのでこちらでも質問させて頂きます。

WordPress3.3.1に「NextGEN Gallery」と言うプラグインをインストールしています。
当初、"GD"と言うライブラリーインストールされていないとサムネイルが生成されませんでした。
早速、"GD"をyumでインストールし問題なくサムネイルが生成されました。

この同一Serverにもう一つ別ディレクトリにWordPressをインストールし同様にNextGEN Galleryを
インストーしましたが、サムネオイルが生成されません。
この時点で、正常に動作しているWordPressの方確認してもサムネイルは正常に生成されています。
--------------------アップロード後に出るエラーメッセージ------------------------
You do not have the GD Library installed. This class requires the GD library to function properly. visit http://us2.php.net/manual/en/ref.image.php for more information
--------------------------------------------------------------------------------
上記のエラー内容は、WebサーバーにGDがインストールされていない!と言う趣旨の内容のようです。

一旦、

# yum remove gd ← でアンインストールし
# yum innstall gd ← 再インストールしましたが、サムネイルが生成されません。


WordPress 3.3.1
オペレーションシステム : Linux (32 Bit)
サーバ : Apache
メモリ使用量 : 38.45 MByte
MYSQLバージョン : 5.0.77
SQLモード : セットされていません
PHPバージョン : 5.3.3
PHPセーフモード : オフ
PHP URL fopen許可 : オン
PHPメモリリミット(PHP Memory Limit) : 128
PHP最大アップロードサイズ(PHP Max Upload Size) : 2M
PHP最大ポストサイズ(PHP Max Post Size) : 8M
PCREのバックトラックリミット : 500000
PHP最大スクリプト実行時間(PHP Max Script Execute Time) : 30s
PHP Exifサポート : はい ( V1.4 )
PHP IPTCサポート : はい
PHP XMLサポート : はい
Graphic Library
以上、詳しい方のアドバイスをお願いします。
記事編集 編集

Page: | 1 | 2 |

Re: WordPressについて このメッセージに返信する
日時: 2012/03/26 18:56
名前: サンバ
URL:
>php-gdじゃないの?
>
ありがとうございます。
早速、

# yum install php-gd

---> Package php53.i386 0:5.3.3-5.el5 set to be updated
---> Package php53-cli.i386 0:5.3.3-5.el5 set to be updated
---> Package php53-mbstring.i386 0:5.3.3-5.el5 set to be updated
---> Package php53-mysql.i386 0:5.3.3-5.el5 set to be updated
---> Package php53-pdo.i386 0:5.3.3-5.el5 set to be updated
--> Processing Conflict: php53-common conflicts php-common
--> Finished Dependency Resolution
php53-common-5.3.3-5.el5.i386 from base has depsolving problems
--> php53-common conflicts with php-common
Error: php53-common conflicts with php-common
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.

と言う具合でエラーが発生します。
記事編集 編集
Re: WordPressについて このメッセージに返信する
日時: 2012/03/26 19:08
名前: サンバ
URL:
>php-gdじゃないの?
>
こちらでインストールは完了しました!
# yum install php53 php53-devel php53-mbstring php53-mysql php53-pdo php53-xml php53-gd

記事編集 編集
Re: WordPressについて このメッセージに返信する
日時: 2012/03/26 19:22
名前: サンバ
URL:
>>php-gdじゃないの?
>>
>こちらでインストールは完了しました!
># yum install php53 php53-devel php53-mbstring php53-mysql php53-pdo php53-xml php53-gd
>
>

コーマンさんありがとうございます。
無事にサムネイルが生成されました。

ありがとうございました。
記事編集 編集
Re: WordPressについて このメッセージに返信する
日時: 2012/03/26 20:06
名前: コーマン
URL:
5.X系でしたか。

多分yum install php53-gdだけでも良かったはずです。

解決して何よりです。
記事編集 編集

Page: | 1 | 2 |

件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -